Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Wireless J2ME SDK API Reference B14045-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.wireless.me.core
Class Call

    java.lang.Object
      oracle.wireless.me.core.Call

public class Call
extends java.lang.Object

The Call object is used for making remote procedure calls of web services and for obtaining a return object from such calls.

Version:
  1.0

Method Summary
`java.lang.String` | `getOperationName()` Get the name of remote procedure call that this Call object invokes on a web service.
`java.util.Vector` | `getParameters()` Get the parameters sent to the method of this Call
`Response` | `getResponse()` Gets the object returned from the remote procedure call if and only if the response was cached (responses from queued calls are always cached, except if the response is null (the remote method returned null or has a return type of void)).
`Service` | `getService()` Get the associated Service Object
`Response` | `invoke(java.util.Vector parameters, boolean forceRefresh)` Invokes the Call, which will make a remote procedure call to a service handler object on the iAS Wireless server, and returns a Response object.
`void` | `setParameters(java.util.Vector parameters)` This method is only useful if you want to queue a call for later invokation (using ServiceManager.queueCall) WITHOUT calling Call.invoke first.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getService

    public Service getService()

  Get the associated Service Object

  Returns:
    Service object reference.

### getOperationName

    public java.lang.String getOperationName()

  Get the name of remote procedure call that this Call object invokes on a web service.

  Returns:
    String with Call name

### getParameters

    public java.util.Vector getParameters()

  Get the parameters sent to the method of this Call

  Returns:
    Vector with parameters

### setParameters

    public void setParameters(java.util.Vector parameters)

  This method is only useful if you want to queue a call for later invokation (using ServiceManager.queueCall) WITHOUT calling Call.invoke first. Normally, you set the parameters for the Call when you invoke it with Call.invoke. The parameters specified in the Call.invoke method overwrite any parameters set through this method. Also, calling this method after a Call has been queued has no effect on the queued Call. In general, Calls should only be queued after they were invoked if a network error ocurred, so this method should not be needed in most cases.

### invoke

    public Response invoke(java.util.Vector parameters,
                           boolean forceRefresh)
                    throws ServiceException

  Invokes the Call, which will make a remote procedure call to a service handler object on the iAS Wireless server, and returns a Response object.

  Parameters:
    `parameters` - Vector of input parameters for the remote procedure call
    `forceRefresh` - boolean true to invoke call remotely even if a response to this call is already in the local cache
  Returns:
    Response that contains the data produced by the service handler on the server
  Throws:
    `ServiceException`

### getResponse

    public Response getResponse()

  Gets the object returned from the remote procedure call if and only if the response was cached (responses from queued calls are always cached, except if the response is null (the remote method returned null or has a return type of void)).

  Returns:
    Response that holds result of remote procedure call, or null if the response is null or not cached

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Wireless J2ME SDK API Reference B14045-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Oracle Corporation. All Rights Reserved.